import { ValidationError } from 'class-validator';
import { eCheckResult } from '../../../../../consts';
import { AllowPrimitives } from '../../../../../types';
import { RAuthenticityCheckGroup } from './children';
/**
* Authenticity check list groups item
*/
export interface iRAuthenticityCheckGroupsItem {
    /**
    * Page
    * @type {number}
    */
    page: number;
    /**
    * Check result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    groups: RAuthenticityCheckGroup[];
}
/**
* Authenticity check list groups item
*/
export declare class RAuthenticityCheckGroupsItem implements iRAuthenticityCheckGroupsItem {
    /**
    * Page
    * @type {number}
    */
    page: number;
    /**
    * Check result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    groups: RAuthenticityCheckGroup[];
    /**
    * Create instance of RAuthenticityCheckListItem from plain object
    * @param {AllowPrimitives<iRAuthenticityCheckGroupsItem>} input - plain object
    * @returns {RAuthenticityCheckGroupsItem}
    */
    static fromPlain: (input: AllowPrimitives<iRAuthenticityCheckGroupsItem>) => RAuthenticityCheckGroupsItem;
    /**
    * Gets validation errors of RAuthenticityCheckListItem
    * @param {RAuthenticityCheckGroupsItem} input - input data
    * @returns {ValidationError[]} - array of validation errors
    */
    static getValidationErrors: (input: RAuthenticityCheckGroupsItem) => ValidationError[];
}
